> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Sync Thread Messages

> List the messages in a thread along with any data updates from a specified date.

### Changelog
| Version      | Description | 
| ------------ | ------------|
| 1.0.0        | Added       |

## OpenAPI

````json GET /api/v1/chat.syncThreadMessages
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "Messaging"
  },
  "servers": [
    {
      "url": "https://apiexplorer.support.rocket.chat"
    }
  ],
  "tags": [
    {
      "name": "Chat"
    },
    {
      "name": "DM"
    },
    {
      "name": "Auto-Translate"
    }
  ],
  "paths": {
    "/api/v1/chat.syncThreadMessages": {
      "get": {
        "tags": [
          "Chat"
        ],
        "summary": "Sync Thread Messages",
        "description": "List the messages in a thread along with any data updates from a specified date.\n\n### Changelog\n| Version      | Description | \n| ------------ | ------------|\n| 1.0.0        | Added       |",
        "operationId": "get-api-v1-chat.syncThreadMessages",
        "parameters": [
          {
            "$ref": "#/components/parameters/Auth-Token"
          },
          {
            "$ref": "#/components/parameters/UserId"
          },
          {
            "$ref": "#/components/parameters/offset"
          },
          {
            "$ref": "#/components/parameters/count"
          },
          {
            "$ref": "#/components/parameters/sort"
          },
          {
            "$ref": "#/components/parameters/query"
          },
          {
            "$ref": "#/components/parameters/fields"
          },
          {
            "name": "updatedSince",
            "in": "query",
            "description": "Date as an ISO string. When you provide the `updatedSince` query parameter, the `update` and `remove` parameters in the response will contain only those updated and removed since this date and time.",
            "required": "true",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "tmid",
            "in": "query",
            "description": "Thread's message ID.",
            "required": "true",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "messages": {
                      "type": "object",
                      "properties": {
                        "update": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "_id": {
                                "type": "string"
                              },
                              "rid": {
                                "type": "string"
                              },
                              "tmid": {
                                "type": "string"
                              },
                              "msg": {
                                "type": "string"
                              },
                              "ts": {
                                "type": "string"
                              },
                              "u": {
                                "type": "object",
                                "properties": {
                                  "_id": {
                                    "type": "string"
                                  },
                                  "username": {
                                    "type": "string"
                                  },
                                  "name": {
                                    "type": "string"
                                  }
                                }
                              },
                              "_updatedAt": {
                                "type": "string"
                              },
                              "mentions": {
                                "type": "array",
                                "items": {
                                  "type": "object"
                                }
                              },
                              "channels": {
                                "type": "array",
                                "items": {
                                  "type": "object"
                                }
                              }
                            }
                          }
                        },
                        "remove": {
                          "type": "array",
                          "items": {
                            "type": "object"
                          }
                        }
                      }
                    },
                    "success": {
                      "type": "boolean"
                    }
                  }
                },
                "examples": {
                  "Example": {
                    "value": {
                      "messages": {
                        "update": [
                          {
                            "_id": "8BciMkvotHLpmpDEG",
                            "rid": "GENERAL",
                            "tmid": "hbs2ZAjHH2JXrP7C7",
                            "msg": "test",
                            "ts": "2019-04-16T18:30:46.615Z",
                            "u": {
                              "_id": "rocketchat.internal.admin.test",
                              "username": "rocketchat.internal.admin.test",
                              "name": "RocketChat Internal Admin Test"
                            },
                            "_updatedAt": "2019-04-16T18:30:46.669Z",
                            "mentions": [],
                            "channels": []
                          }
                        ],
                        "remove": []
                      },
                      "success": "true"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/authorizationError"
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean"
                    },
                    "error": {
                      "type": "string"
                    },
                    "errorType": {
                      "type": "string"
                    }
                  }
                },
                "examples": {
                  "Example 1": {
                    "value": {
                      "success": "false",
                      "error": "The required \"tmid\" query param is missing. [error-invalid-params]",
                      "errorType": "error-invalid-params"
                    }
                  },
                  "Example 2": {
                    "value": {
                      "success": "false",
                      "error": "The required param \"updatedSince\" is missing. [error-updatedSince-param-invalid]",
                      "errorType": "error-updatedSince-param-invalid"
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "parameters": {
      "Auth-Token": {
        "name": "X-Auth-Token",
        "in": "header",
        "description": "The `authToken` of the authenticated user.",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f"
      },
      "UserId": {
        "name": "X-User-Id",
        "in": "header",
        "description": "The `userId` of the authenticated user.",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "rbAXPnMktTFbNpwtJ"
      },
      "offset": {
        "name": "offset",
        "in": "query",
        "description": "Number of items to \"skip\" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.",
        "required": "false",
        "schema": {
          "type": "integer"
        },
        "example": "50"
      },
      "count": {
        "name": "count",
        "in": "query",
        "description": "The number of items to return.  Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.",
        "required": "false",
        "schema": {
          "type": "integer"
        },
        "example": "50"
      },
      "sort": {
        "name": "sort",
        "in": "query",
        "description": "List of fields to order by, and in which direction. This is a JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, `{ \"value\": -1, \"_id\": 1 }`. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.",
        "required": "false",
        "schema": {}
      },
      "query": {
        "name": "query",
        "in": "query",
        "description": "This parameter allows you to use MongoDB query operators to search for specific data. For example, to query users with a name that contains the letter \"g\": query=`{ \"name\": { \"$regex\": \"g\" }}`. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#query-and-fields) to learn more.",
        "required": "false",
        "schema": {}
      },
      "fields": {
        "name": "fields",
        "in": "query",
        "description": "This parameter accepts a JSON object with properties that have a value of 1 or 0 to include or exclude them in the response. For example, to only retrieve the usernames of users: fields=`{ \"username\": 1 }`. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#query-and-fields) to learn more.",
        "required": "false",
        "schema": {
          "type": "string"
        }
      }
    },
    "responses": {
      "authorizationError": {
        "description": "Unauthorized",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "status": {
                  "type": "string"
                },
                "message": {
                  "type": "string"
                }
              }
            },
            "examples": {
              "Authorization Error": {
                "value": {
                  "status": "error",
                  "message": "You must be logged in to do this."
                }
              }
            }
          }
        }
      }
    }
  }
}
````

